# ISIdentity

Determines whether index set is the identity mapping.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISIdentity(IS is,PetscTruth *ident)

Collective on IS

### Input Parmeters

is -the index set

### Output Parameters

ident -PETSC_TRUE if an identity, else PETSC_FALSE

### See Also

ISSetIdentity()

Level:intermediate
Location: src/vec/is/interface/index.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages